/*****************************************************************************
 *   dma.h:  Header file for NXP LPC2xxx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.07.20  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __DMA_H 
#define __DMA_H

#define DMA_CHANNELS		8

/* DMA Configutation ID */
#define DMA_MCI_SINGLE		1
#define DMA_MCI_BURST		2
#define DMA_UART_RX			3
#define DMA_UART_TX			4
#define DMA_IIC				5
#define DMA_SAO1A			6		/* I2S OUT */
#define DMA_SAO1B			7		/* I2S OUT */
#define DMA_SAO2A			8		/* Dual DAC A */
#define DMA_SAO2B			9		/* Dual DAC B */
#define DMA_SAI1A			10		/* I2S IN */
#define DMA_SAI1B			11		/* I2S IN */

#define DMA_SAI4A			16		/* Dual ADC A */
#define DMA_SAI4B			17		/* Dual ADC B */
#define DMA_LCD				18
#define DMA_MPMC_A19		19
#define DMA_MPMC_A17		20
		
/* misc DMA definition */
#define DMA_MCI_PORT		0x80100080		/* MCI_FIFO */
#define MCI_DATA_LENGTH		0x200

#define DMA_UART_PORT		0x80101000		/* UART_RBR or UART_THR */
#define UART_DATA_LENGTH	0x100

#define SDRAM_WR_ADDR		0x30000000
#define SDRAM_RD_ADDR		0x30010000
#define SDRAM_BUF_SIZE		0x00010000
	
extern void DMA_ISR( void );
extern DWORD DMA_MCI_Init( void );
extern DWORD DMA_UART_Init( void );
extern void DMA_CH_Enable( DWORD channelNum );
extern void DMA_CH_Disable( DWORD channelNum );

#endif /* end __DMA_H */
/****************************************************************************
**                            End Of File
****************************************************************************/
